View Issue Details

IDProjectCategoryView StatusLast Update
0009189mantisbtfilterspublic2019-02-03 11:00
Reporterkuhsay Assigned Tocproensa  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version1.1.1 
Summary0009189: view_handler_threshold doesn't hide names properly for specific projects
Description

This bug is a little tricky to repeat so bear with me...

First, you need to set view_handler_threshold for a specific project to a higher value than just a regular reporter (ie: 60). All projects can use the default view_handler_threshold (I believe its 10). When a user (reporter access) logs into that project, the status correctly displays without the name of the person it was assigned to (ie: "closed").

The problem occurs when the user (reporter) changes the project scope to show "All Projects" using the drop-down menu at the top right. When he/she selects "All Users", all of the bugs now show the bug's assigned to names. For example, the bug from before will now read "closed (rich)"

When showing all bugs from all projects, the filter api needs to check view_handler_threshold for each project, and make sure that the user has permission to view the handler for that project.

I have attached a screen shot showing the discrepancy.

TagsNo tags attached.

Relationships

related to 0023503 closedcproensa Handler user is visible even if view_handler_threshold is configured to not allow 

Activities

2008-05-21 11:46

 

correct.jpg (546,750 bytes)

2008-05-21 11:47

 

incorrect.jpg (564,229 bytes)
kuhsay

kuhsay

2008-05-21 11:52

reporter   ~0017890

For anyone interested, the quick fix around this (presumably - I haven't tried this) is to set view_handler_threshold to a high level across all projects and then set it lower on individual projects. This way, when the user shows 'all projects' it hides the assigned names for everyone, and if they show the specific project it should display who the bug is assigned to.

You can set this configuration value in Manage > Manage Configuration > Configuration Report and setting the configuration values.

atrol

atrol

2014-02-01 13:53

developer   ~0039279

Unassigned after having been assigned for a long time without progress.

cproensa

cproensa

2019-01-23 18:33

developer   ~0061289

Last edited: 2019-01-23 18:34

View 2 revisions

Fixed in 0023503

Issue History

Date Modified Username Field Change
2008-05-21 11:46 kuhsay New Issue
2008-05-21 11:46 kuhsay File Added: correct.jpg
2008-05-21 11:47 kuhsay File Added: incorrect.jpg
2008-05-21 11:52 kuhsay Note Added: 0017890
2008-08-05 22:06 daryn Assigned To => daryn
2008-08-05 22:06 daryn Status new => acknowledged
2014-02-01 13:53 atrol Note Added: 0039279
2014-02-01 13:53 atrol Assigned To daryn =>
2017-10-21 11:43 cproensa Relationship added related to 0023503
2019-01-23 18:33 cproensa Assigned To => cproensa
2019-01-23 18:33 cproensa Status acknowledged => resolved
2019-01-23 18:33 cproensa Resolution open => fixed
2019-01-23 18:33 cproensa Note Added: 0061289
2019-01-23 18:34 cproensa Note Edited: 0061289 View Revisions
2019-02-03 11:00 atrol Status resolved => closed